Package org.apache.lucene.util.packed

# Interface PackedInts.ReaderIterator

Enclosing class:
  `PackedInts`

public static interface PackedInts.ReaderIterator
Run-once iterator interface, to decode previously saved PackedInts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBitsPerValue()`
  Returns number of bits per value
  `long`
  `next()`
  Returns next value
  `LongsRef`
  `next(int count)`
  Returns at least 1 and at most `count` next values, the returned ref MUST NOT be modified
  `int`
  `ord()`
  Returns the current position
  `int`
  `size()`
  Returns number of values

- ## Method Details

  - ### next

    long next() throws IOException
    Returns next value
    Throws:
      `IOException`

  - ### next

    LongsRef next(int count) throws IOException
    Returns at least 1 and at most `count` next values, the returned ref MUST NOT be modified
    Throws:
      `IOException`

  - ### getBitsPerValue

    int getBitsPerValue()
    Returns number of bits per value

  - ### size

    int size()
    Returns number of values

  - ### ord

    int ord()
    Returns the current position